@echo off
color 0a
set /p UserInputPath=What Drive is the game installed to (Letter only)
echo(Detecting Game Installation Directory ...
for %%a in (%UserInputPath%) do (
    pushd "%%~a:\"
    for /f "tokens=*" %%b in ('dir /b /s /a:-d "Content Warning.exe" 2^>nul ^| find /i "Content Warning.exe" 2^>nul') do (
        for %%c in ("%%~b\.") do set "gameInstallationDirectory=%%~dpc"
    )
    popd
)
echo(Game Installation Directory : %gameInstallationDirectory%

echo Downloading: BepInEx
echo --------------------
RMDIR /S /Q "C:\download-temp\"
mkdir C:\download-temp
curl -L "https://thunderstore.io/package/download/BepInEx/BepInExPack/5.4.2100/" --ssl-revoke-best-effort --output "C:\download-temp\BepInEx.zip"
powershell Expand-Archive "C:\download-temp\BepInEx.zip" -DestinationPath "C:\download-temp"
move /y "C:\download-temp\BepInExPack\BepInEx" "C:\download-temp"
move /y "C:\download-temp\BepInExPack\doorstop_config.ini" "C:\download-temp"
move /y "C:\download-temp\BepInExPack\winhttp.dll" "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
RMDIR /Q /S "C:\download-temp\BepInExPack"
del /s "C:\download-temp\BepInEx.zip"
del /s "C:\download-temp\manifest.json"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
del /s "C:\download-temp\BepInEx\config\BepInEx.cfg"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|

echo Downloading: Boombox
echo --------------------
curl -L "https://thunderstore.io/package/download/hyydsz/Boombox/1.1.4/" --ssl-revoke-best-effort --output "C:\download-temp\Boombox.zip"
powershell Expand-Archive "C:\download-temp\Boombox.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\Boombox.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\Boombox"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\Boombox"
move /y "C:\download-temp\Boombox.dll" "C:\download-temp\BepInEx\plugins\Boombox\"
move /y "C:\download-temp\boombox" "C:\download-temp\BepInEx\plugins\Boombox\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|

echo Downloading: Death Status
echo -------------------------
curl -L "https://thunderstore.io/package/download/Clementinise/DeathStatus/1.1.0/" --ssl-revoke-best-effort --output "C:\download-temp\DeathStatus.zip"
powershell Expand-Archive "C:\download-temp\DeathStatus.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\DeathStatus.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\DeathStatus"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\DeathStatus"
move /y "C:\download-temp\BepInEx\plugins\DeathStatus.dll" "C:\download-temp\BepInEx\plugins\DeathStatus\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|

echo Downloading: Shuv
echo -----------------
curl -L "https://thunderstore.io/package/download/www_Day_Dream/Shuv/1.1.0/" --ssl-revoke-best-effort --output "C:\download-temp\Shuv.zip"
powershell Expand-Archive "C:\download-temp\Shuv.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\Shuv.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\Shuv"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\Shuv"
move /y "C:\download-temp\BepInEx\plugins\Shuv.dll" "C:\download-temp\BepInEx\plugins\Shuv\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|

echo Downloading: Caught in 4k
echo -------------------------
curl -L "https://thunderstore.io/package/download/SlenLen/CaughtIn4K/0.0.3/" --ssl-revoke-best-effort --output "C:\download-temp\CaughtIn4K.zip"
powershell Expand-Archive "C:\download-temp\CaughtIn4K.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\CaughtIn4K.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\CaughtIn4K"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\CaughtIn4K"
move /y "C:\download-temp\slenlen.caughtin4k.dll" "C:\download-temp\BepInEx\plugins\CaughtIn4K\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|

echo Downloading: Virality
echo ---------------------
curl -L "https://thunderstore.io/package/download/MaxWasUnavailable/Virality/1.3.0/" --ssl-revoke-best-effort --output "C:\download-temp\Virality.zip"
powershell Expand-Archive "C:\download-temp\Virality.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\Virality.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\Virality"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\Virality"
move /y "C:\download-temp\BepInEx\plugins\MaxWasUnavailable.Virality.dll" "C:\download-temp\BepInEx\plugins\Virality\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------

echo Downloading: More Colors
echo ------------------------
curl -L "https://thunderstore.io/package/download/ViViKo/MoreColors/1.5.0/" --ssl-revoke-best-effort --output "C:\download-temp\MoreColors.zip"
powershell Expand-Archive "C:\download-temp\MoreColors.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\MoreColors.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\MoreColors"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\MoreColors"
move /y "C:\download-temp\BepInEx\plugins\ViViKo.MoreColors.dll" "C:\download-temp\BepInEx\plugins\MoreColors\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|

echo Downloading: Found Footage
echo --------------------------
curl -L "https://thunderstore.io/package/download/Assasans/FoundFootage/0.3.1/" --ssl-revoke-best-effort --output "C:\download-temp\FoundFootage.zip"
powershell Expand-Archive "C:\download-temp\FoundFootage.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\FoundFootage.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\FoundFootage"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\FoundFootage"
move /y "C:\download-temp\BepInEx\plugins\jp.assasans.cw.FoundFootage.dll" "C:\download-temp\BepInEx\plugins\FoundFootage\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|

echo Downloading: Mycelium Networking
echo --------------------------------
curl -L "https://thunderstore.io/package/download/RugbugRedfern/MyceliumNetworking/1.0.12/" --ssl-revoke-best-effort --output "C:\download-temp\MyceliumNetworking.zip"
powershell Expand-Archive "C:\download-temp\MyceliumNetworking.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\MyceliumNetworking.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\MyceliumNetworking"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\MyceliumNetworking"
move /y "C:\download-temp\BepInEx\plugins\MyceliumNetworking.dll" "C:\download-temp\BepInEx\plugins\MyceliumNetworking\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|

echo Downloading: Content Settings
echo -----------------------------
curl -L "https://thunderstore.io/package/download/CommanderCat101/ContentSettings/1.2.2/" --ssl-revoke-best-effort --output "C:\download-temp\ContentSettings.zip"
powershell Expand-Archive "C:\download-temp\ContentSettings.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\ContentSettings.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\ContentSettings"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\ContentSettings"
move /y "C:\download-temp\BepInEx\plugins\ContentSettings.dll" "C:\download-temp\BepInEx\plugins\ContentSettings\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|

echo Downloading: Skip Intro Screen
echo ------------------------------
curl -L "https://thunderstore.io/package/download/RamuneNeptune/SkipIntroScreen/1.0.1/" --ssl-revoke-best-effort --output "C:\download-temp\SkipIntroScreen.zip"
powershell Expand-Archive "C:\download-temp\SkipIntroScreen.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\SkipIntroScreen.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\SkipIntroScreen"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\SkipIntroScreen"
move /y "C:\download-temp\Ramune.SkipIntroScreen.dll" "C:\download-temp\BepInEx\plugins\SkipIntroScreen\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|

echo Downloading: Fall Fix
echo ---------------------
curl -L "https://thunderstore.io/package/download/Computery/Fall_Fix/1.0.1/" --ssl-revoke-best-effort --output "C:\download-temp\FallFix.zip"
powershell Expand-Archive "C:\download-temp\FallFix.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\FallFix.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\FallFix"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\FallFix"
move /y "C:\download-temp\Computery.FallFix.dll" "C:\download-temp\BepInEx\plugins\FallFix\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|

echo Downloading: HellDivers
echo -----------------------
curl -L "https://thunderstore.io/package/download/Playboi/HellDivers/1.0.0/" --ssl-revoke-best-effort --output "C:\download-temp\HellDivers.zip"
powershell Expand-Archive "C:\download-temp\HellDivers.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\HellDivers.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\HellDivers"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\HellDivers"
move /y "C:\download-temp\HellDivers.dll" "C:\download-temp\BepInEx\plugins\HellDivers\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|

echo Downloading: Custom Faces
echo -------------------------
curl -L "https://thunderstore.io/package/download/Bakuma/Custom_faces/1.0.2/" --ssl-revoke-best-effort --output "C:\download-temp\CustomFaces.zip"
powershell Expand-Archive "C:\download-temp\CustomFaces.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\CustomFaces.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\CustomFaces"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\CustomFaces"
move /y "C:\download-temp\BepInEx\plugins\ContentWarningCustomFaces\ContentWarningCustomFaces.dll" "C:\download-temp\BepInEx\plugins\CustomFaces\"
RMDIR /Q /S "C:\download-temp\BepInEx\plugins\ContentWarningCustomFaces\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|

echo Downloading: Shop Utils
echo -----------------------
curl -L "https://thunderstore.io/package/download/hyydsz/ShopUtils/1.0.8/" --ssl-revoke-best-effort --output "C:\download-temp\ShopUtils.zip"
powershell Expand-Archive "C:\download-temp\ShopUtils.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\ShopUtils.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\ShopUtils"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\ShopUtils"
move /y "C:\download-temp\ShopUtils.dll" "C:\download-temp\BepInEx\plugins\ShopUtils\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|

echo Downloading: Toggle Mute
echo ------------------------
curl -L "https://thunderstore.io/package/download/Computery/Toggle_Mute/1.0.0/" --ssl-revoke-best-effort --output "C:\download-temp\ToggleMute.zip"
powershell Expand-Archive "C:\download-temp\ToggleMute.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\ToggleMute.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\ToggleMute"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\ToggleMute"
move /y "C:\download-temp\Computery.ToggleMute.dll" "C:\download-temp\BepInEx\plugins\ToggleMute\"
cls

:: ---------------------------------------------------------------------------------------------------------------------------------------------------------------|
echo Downloading: Video Converter
echo ----------------------------
curl -L "https://thunderstore.io/package/download/BreadSoup/Video_Converter/1.1.2/" --ssl-revoke-best-effort --output "C:\download-temp\VideoConverter.zip"
powershell Expand-Archive "C:\download-temp\VideoConverter.zip" -DestinationPath "C:\download-temp"
RMDIR /Q /S "C:\download-temp\BepInEx\patchers"
del /s "C:\download-temp\VideoConverter.zip"
del /s "C:\download-temp\icon.png"
del /s "C:\download-temp\README.md"
del /s "C:\download-temp\CHANGELOG.md"
del /s "C:\download-temp\LICENSE.md"
del /s "C:\download-temp\LICENSE"
del /s "C:\download-temp\LICENSE.txt"
mkdir "C:\download-temp\BepInEx\plugins\VideoConverter"
move /y "C:\download-temp\manifest.json" "C:\download-temp\BepInEx\plugins\VideoConverter"
move /y "C:\download-temp\BepInEx\plugins\Video Converter.dll" "C:\download-temp\BepInEx\plugins\VideoConverter\"
cls

:: --------------------------------------------------| DEPS |------------------------------------------------------------------------------------------------------|

echo Downloading: Configs
echo --------------------
curl -L "https://cdn.galactiq.net/contentexpansion/deps/config.zip" --ssl-revoke-best-effort --output "C:\download-temp\config.zip"
powershell Expand-Archive "C:\download-temp\config.zip" -DestinationPath "C:\download-temp\BepInEx\config"
del /s "C:\download-temp\config.zip"
cls

echo Downloading: Music
echo ------------------
curl -L "https://cdn.galactiq.net/contentexpansion/deps/boomboxmusic.zip" --ssl-revoke-best-effort --output "C:\download-temp\boomboxmusic.zip"
powershell Expand-Archive "C:\download-temp\boomboxmusic.zip" -DestinationPath "C:\download-temp\BepInEx\plugins"
del /s "C:\download-temp\boomboxmusic.zip"
del /s "C:\download-temp\BepInEx\plugins\temp.txt"

cls

:: --------------------------------------------------| INSTALLATION |------------------------------------------------------------------------------------------------|

echo Copying Files
echo -------------
echo(Game Installation Directory : %gameInstallationDirectory%
xcopy /e .\manifest.json "%gameInstallationDirectory%" /Y
xcopy /e .\Lethal-Utility.bat "%gameInstallationDirectory%" /Y
xcopy /e "C:\download-temp\" "%gameInstallationDirectory%" /Y
RMDIR /Q /S "C:\download-temp\"
cls
echo Installation Complete!
echo ----------------------
TIMEOUT /t 5